## apper 0.7.0~20111008

=== CMakeLists.txt ===
project(Apper)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(KDE4 REQUIRED)
include (MacroLibrary)

# Only for Debian based systems
option(DEBCONF_SUPPORT "Build Apper with debconf support" OFF)

# Yum does not support this
option(AUTOREMOVE "Build Apper with auto remove enabled" ON)
set(HAVE_AUTOREMOVE ${AUTOREMOVE})
message(STATUS "Building Apper with auto remove: " ${AUTOREMOVE})

# App Install, only Debian based support this for now
option(APPINSTALL "Build Apper with app install" OFF)
set(HAVE_APPINSTALL ${APPINSTALL})
message(STATUS "Building Apper with app install: " ${APPINSTALL})

if (HAVE_APPINSTALL)
    # path to the sqlite app-install db
    set(AI_DB_PATH "${CMAKE_INSTALL_PREFIX}/share/app-install/desktop.db"
        CACHE STRING "App Install database path")
    message(STATUS "App Install database path: " ${AI_DB_PATH})

    # path to the categories.xml menus
    set(AI_CATEGORIES_PATH "${CMAKE_INSTALL_PREFIX}/share/app-install"
        CACHE STRING "App Install categories path")
    message(STATUS "App Install categories path: " ${AI_CATEGORIES_PATH})
    install(FILES categories.xml DESTINATION ${AI_CATEGORIES_PATH})
endif (HAVE_APPINSTALL)

if (DEBCONF_SUPPORT)
    # Tries to find the package, when it finds it HAVE_DEBCONFKDE is set in config.h
    find_package(DebconfKDE REQUIRED)
    macro_bool_to_01(DebconfKDE_FOUND HAVE_DEBCONFKDE)
    macro_log_feature(DebconfKDE_FOUND "DebconfKDE" "The KDE frontend for debconf" "http://websvn.kde.org" FALSE "" "Library used for showing debconf questions.")
    message(STATUS "Building with Debconf support")
endif (DEBCONF_SUPPORT)


# command to edit the packages origins
set(EDIT_ORIGNS_DESKTOP_NAME "" CACHE STRING "Edit origins desktop name")
if (EDIT_ORIGNS_DESKTOP_NAME)
    message(STATUS "Edit origins desktop name: " ${EDIT_ORIGNS_DESKTOP_NAME})
endif (EDIT_ORIGNS_DESKTOP_NAME)

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include(FindPkgConfig)
set(QPACKAGEKIT_MIN_VERSION 0.6.17)
pkg_check_modules(QPACKAGEKIT2 REQUIRED packagekit-qt2>=${QPACKAGEKIT_MIN_VERSION})
macro_log_feature(QPACKAGEKIT2_FOUND "packagekit-qt2" "The Qt library to use PackageKit" "http://www.packagekit.org" TRUE ${QPACKAGEKIT_MIN_VERSION} "")
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS}
    ${KDE_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${QPACKAGEKIT2_INCLUDE_DIRS}
    ${QPACKAGEKIT2_INCLUDEDIR}/PackageKit/packagekit-qt2
    ${CMAKE_CURRENT_SOURCE_DIR}/libapper)

message(STATUS "QPK includ dir: " ${QPACKAGEKIT2_INCLUDEDIR}/PackageKit/packagekit-qt2)

add_subdirectory(libapper)
add_subdirectory(ApperKCM)
add_subdirectory(Apper)
add_subdirectory(Sentinel)
add_subdirectory(apperd)
add_subdirectory(Desktop)

=== Apper/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(apper_SRCS
    MainUi.cpp
    BackendDetails.cpp
    Apper.cpp
    main.cpp
)

kde4_add_ui_files(apper_SRCS
    BackendDetails.ui
)

kde4_add_executable(apper_executable
    ${apper_SRCS}
)

target_link_libraries(apper_executable
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${QPACKAGEKIT2_LIBRARIES}
    apper
)

set_target_properties(apper_executable PROPERTIES INSTALL_RPATH ${LIB_INSTALL_DIR}/apper)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/apper_executable DESTINATION ${BIN_INSTALL_DIR} RENAME apper)

add_subdirectory(Icons)
add_subdirectory(Animations)

=== Desktop/CMakeLists.txt ===
install( FILES kcm_apper.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES apper.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES apperd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )

=== Sentinel/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(sentinel_SRCS
    StatusNotifierItem.cpp
    TransactionTrayIcon.cpp
    TransactionJob.cpp
    TransactionWatcher.cpp
    IntroDialog.cpp
    InfoWidget.cpp
    AbstractIsRunning.cpp
    UpdateIcon.cpp
    DistroUpgrade.cpp
    DBusInterface.cpp
    PkInterface.cpp
    SessionTask.cpp
    PkInstallPackageNames.cpp
    PkSearchFile.cpp
    PkIsInstalled.cpp
    PkInstallMimeTypes.cpp
    PkInstallGStreamerResources.cpp
    PkInstallFontconfigResources.cpp
    PkInstallPlasmaResources.cpp
    FilesModel.cpp
    PkInstallPackageFiles.cpp
    PkInstallProvideFiles.cpp
    PkInstallCatalogs.cpp
    PkRemovePackageByFiles.cpp
    PkInstallPrinterDrivers.cpp
    ReviewChanges.cpp
    ApperSentinel.cpp
    main.cpp
)

kde4_add_ui_files(sentinel_SRCS
    SessionTask.ui
    IntroDialog.ui
    InfoWidget.ui
    ReviewChanges.ui
)

qt4_add_dbus_adaptor(sentinel_dbus_SRCS
    org.kde.ApperSentinel.xml
    DBusInterface.h
    DBusInterface
)

qt4_add_dbus_adaptor(sentinel_dbus_SRCS
    org.freedesktop.PackageKit.xml
    PkInterface.h
    PkInterface
)

kde4_add_executable(apper-sentinel
    ${sentinel_SRCS}
    ${sentinel_dbus_SRCS}
)

target_link_libraries(apper-sentinel
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QPACKAGEKIT2_LIBRARIES}
    ${DEBCONF_KDE_LIB}
    ${QT_QTXMLPATTERNS_LIBRARY}
    apper
)

set_target_properties(apper-sentinel PROPERTIES INSTALL_RPATH ${LIB_INSTALL_DIR}/apper)

install(TARGETS apper-sentinel DESTINATION ${LIBEXEC_INSTALL_DIR})

install(FILES ApperSentinel.notifyrc DESTINATION ${DATA_INSTALL_DIR}/ApperSentinel)

include(PkgConfigGetVar)
dbus_add_activation_service(org.kde.ApperSentinel.service.in)
dbus_add_activation_service(org.freedesktop.PackageKit.service.in)

=== debian/changelog ===
apper (0.7.0~20111008-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 06 Oct 2011 17:54:49 +0200

=== debian/control ===
Source: apper
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.6.0),
               libdbus-1-dev,
               libdebconf-kde-dev,
               libpackagekit-qt2-dev (>= 0.6.14),
               pkg-kde-tools (>= 0.9.2)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/playground/sysadmin/apper
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/apper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/apper.git

Package: apper
Architecture: any
Depends: packagekit (>= 0.6.14),
         update-manager-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: app-install-data, software-properties-kde
Suggests: debconf-kde-helper
Replaces: kpackagekit
Breaks: kpackagekit (<= 0.7.0~20111008-0ubuntu1)
Description: KDE package management tool using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a KDE package manager based on PackageKit,
 as well as package management support for the KDE desktop.

Package: apper-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, apper (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: Debugging symbols for Apper
 Apper ist a graphical package manager UI based on the PackageKit
 framework as well as a KDE implementation of the PackageKit session
 installer interface.
 .
 This package contains debugging symbols for Apper.
 When Apper crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced an Apper crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

Package: kpackagekit
Architecture: all
Priority: extra
Depends: ${misc:Depends}, apper
Section: oldlibs
Description: KDE package management tool - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=true \
		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde

INSTALLDIR = $(CURDIR)/debian/tmp

export KUBUNTU_DESKTOP_POT=playground-sysadmin

%:
	dh $@ --parallel --with kde --dbg-package=apper-dbg

override_dh_auto_configure:
	dh_auto_configure -Skde -- $(APPER_CONFIG_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)
	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service

override_dh_install:
	dh_install --list-missing

fetch_translations:
	mkdir -p po
	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/playground-sysadmin/apper.po; cd ..; done
	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *

## apper 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -75,3 +75,6 @@
 add_subdirectory(Sentinel)
 add_subdirectory(apperd)
 add_subdirectory(Desktop)
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== Desktop/CMakeLists.txt ===
install( FILES kcm_apper.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES apper.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES apper_installer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES apper_settings.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES apper_updates.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES apperd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )

=== Sentinel/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 find_package(KDE4Internal REQUIRED)
+find_package(KDE4Workspace REQUIRED)
 
 set(sentinel_SRCS
     StatusNotifierItem.cpp
@@ -56,6 +57,7 @@
 )
 
 target_link_libraries(apper-sentinel
+    ${KDE4WORKSPACE_KWORKSPACE_LIBS}
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KIO_LIBS}
     ${KDE4_SOLID_LIBS}

=== apperd/CMakeLists.txt ===
kde4_add_plugin(kded_apperd apperd.cpp)

target_link_libraries(kded_apperd
    ${KDE4_KIO_LIBS}
)

install(TARGETS kded_apperd DESTINATION ${PLUGIN_INSTALL_DIR})

=== libapper/CMakeLists.txt ===
#Set the correct compiler options
IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   MESSAGE(STATUS "Apper detected that you use a 32 bit processor.")
ELSE(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   MESSAGE(STATUS "Apper detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
ENDIF(CMAKE_SIZEOF_VOID_P EQUAL 4)

set(libapper_SRCS
    AppInstall.cpp
    PkIcons.cpp
    PkStrings.cpp
    ApplicationLauncher.cpp
    ApplicationsDelegate.cpp
    CategoryDrawer.cpp
    ChangesDelegate.cpp
    TransactionDelegate.cpp
    ProgressView.cpp
    PkTransaction.cpp
    PkTransactionDialog.cpp
    RepoSig.cpp
    LicenseAgreement.cpp
    PackageModel.cpp
    CustomProgressBar.cpp
    Requirements.cpp
    PackageImportance.cpp
    SimulateModel.cpp
    CategorizedView.cpp
)

kde4_add_ui_files(libapper_SRCS
    ApplicationLauncher.ui
    PkTransaction.ui
    RepoSig.ui
    LicenseAgreement.ui
    Requirements.ui
)

kde4_add_library(apper SHARED ${libapper_SRCS})

target_link_libraries(apper
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QPACKAGEKIT2_LIBRARIES}
)

install(TARGETS apper DESTINATION ${LIB_INSTALL_DIR}/apper)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(da)
add_subdirectory(ru)
add_subdirectory(fr)
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(hr)
add_subdirectory(wa)
add_subdirectory(ca@valencia)
add_subdirectory(pt_BR)
add_subdirectory(zh_TW)
add_subdirectory(pa)
add_subdirectory(de)
add_subdirectory(zh_CN)
add_subdirectory(sl)
add_subdirectory(ug)
add_subdirectory(en_GB)
add_subdirectory(bs)
add_subdirectory(hu)
add_subdirectory(lt)
add_subdirectory(ga)
add_subdirectory(cs)
add_subdirectory(ca)
add_subdirectory(fi)
add_subdirectory(nds)
add_subdirectory(ro)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(nn)
add_subdirectory(ast)
add_subdirectory(ja)
add_subdirectory(gl)
add_subdirectory(tr)
add_subdirectory(el)
add_subdirectory(sv)
add_subdirectory(sk)
add_subdirectory(nb)
add_subdirectory(it)
add_subdirectory(bg)
add_subdirectory(uk)

=== debian/changelog ===
apper (0.7.1-1ubuntu1) precise; urgency=low

  * Add transitional package for KPackageKit (LP: #949889)

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 09 Mar 2012 18:28:11 +0100

apper (0.7.1-1) unstable; urgency=low

  * Break the old kpackagekit package on Ubuntu
  * Depend on a PolKit agent (Closes: #658934)
  * New upstream bugfix release: 0.7.1
  * Added debian/watch file
  * Bump standards version to 3.9.3 (no change required)
  * Allow using aptd instead of PK

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 24 Feb 2012 14:46:14 +0100

apper (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #604391)

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 06 Oct 2011 17:54:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: apper
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klumpp <matthias@tenstral.net>
-Build-Depends: cmake,
+Build-Depends: chrpath,
+               cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.6.0),
+               docbook2x,
+               kde-workspace-dev (>= 4:4.6),
+               kdelibs5-dev (>= 4:4.6),
                libdbus-1-dev,
                libdebconf-kde-dev,
-               libpackagekit-qt2-dev (>= 0.6.14),
+               libpackagekit-qt2-dev (>= 0.6.18),
                pkg-kde-tools (>= 0.9.2)
-Standards-Version: 3.9.2
-Homepage: https://projects.kde.org/projects/playground/sysadmin/apper
+Standards-Version: 3.9.3
+Homepage: http://kde-apps.org/content/show.php/Apper?content=84745
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/apper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/apper.git
 
 Package: apper
 Architecture: any
-Depends: packagekit (>= 0.6.14),
-         update-manager-kde,
+Depends: packagekit (>= 0.6.18) | python-aptdaemon.pkcompat,
+         polkit-kde-1 | policykit-1-gnome,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: app-install-data, software-properties-kde
-Suggests: debconf-kde-helper
+Recommends: app-install-data
+Suggests: debconf-kde-helper,
+          software-properties-kde
 Replaces: kpackagekit
-Breaks: kpackagekit (<= 0.7.0~20111008-0ubuntu1)
+Breaks: kpackagekit (<< 0.7.0~20111008-0ubuntu1~)
 Description: KDE package management tool using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface  e.g. refreshing the cache, updating, installing and removing
@@ -37,7 +41,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, apper (= ${binary:Version})
+Depends: apper (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: kdelibs5-dbg
 Description: Debugging symbols for Apper
  Apper ist a graphical package manager UI based on the PackageKit

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,19 @@
 	dh_auto_configure -Skde -- $(APPER_CONFIG_FLAGS)
 
 override_dh_auto_install:
+	docbook2x-man $(CURDIR)/debian/apper.1.docbook
 	dh_auto_install --destdir=$(INSTALLDIR)
+	# Fix file conflict between GPK and Apper
 	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service
+	# Stupid hack to work around cmake rpath bug
+	chrpath --list $(INSTALLDIR)/usr/bin/apper
+	chrpath --replace /usr/lib/apper $(INSTALLDIR)/usr/bin/apper
 
 override_dh_install:
 	dh_install --list-missing
+
+override_dh_auto_clean:
+	rm -f apper.1
 
 fetch_translations:
 	mkdir -p po

=== debian/watch ===
version=3
http://launchpad.net/apper/+download \
http://launchpad.net/apper/.*/apper-(.*)\.tar\.bz2

## apper 0.7.2

=== debian/changelog ===
apper (0.7.2-5) unstable; urgency=low

  * Make Apper listen to restart-requests of other Apt tools too

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 07 Nov 2012 16:31:13 +0100

apper (0.7.2-4) unstable; urgency=low

  * Suggest appsetup-support, it's only a tech-preview for Wheezy
  * Enable resource conserving (bug fixed in kdelibs)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 26 Jun 2012 16:31:21 +0200

apper (0.7.2-3) unstable; urgency=low

  * Make transition to apper-data really work (Closes: #675538)
  * Remove lintian override: Lintian is fixed now
  * Rebuild on i386 because of temporary build-issue

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 07 Jun 2012 00:30:10 +0200

apper (0.7.2-2) unstable; urgency=low

  * Make apper-data break old apper package (Closes: #675538)

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 03 Jun 2012 15:55:27 +0200

apper (0.7.2-1) unstable; urgency=low

  * New upstream release: 0.7.2
    - Automatic Refresh Cache properly fixed
    - Initial Listaller support (optional)
    - Supported filter added (depends on the backend)
    - KDED plugin runs on a separate thread to avoid
       desktop freezes
    - Fixed updating packages that were on untrusted repos
    - Fresh manual pages (thanks to Matthias)
    - Many other bug- and Krazy fixes
  * Updated debian/copyright
  * Switch to compat-level 9
  * Updated watch file
  * Split out arch-indep apper-data package
  * Add apper-appsetup package for Listaller modules
  * Remove old replacement for KPackageKit: No longer required
  * Removed manpages: Pages are upstream now
  * Override lintian false-positive about icon-sizes
  * Allow DM upload

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 22 May 2012 10:45:24 +0200

=== debian/control ===
Source: apper
Section: kde
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
DM-Upload-Allowed: yes
Build-Depends: chrpath,
               cmake (>= 2.8.4),
               debhelper (>= 9.0.0),
               docbook2x,
               kde-workspace-dev (>= 4:4.8),
               kdelibs5-dev (>= 4:4.8),
               libdbus-1-dev,
               libdebconf-kde-dev,
               liblistaller-glib-dev (>= 0.5.4),
               libpackagekit-qt2-dev (>= 0.7.4),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.3
Homepage: http://kde-apps.org/content/show.php/Apper?content=84745
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/apper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/apper.git

Package: apper
Architecture: any
Depends: apper-data (>= ${source:Version}),
         packagekit (>= 0.7.4),
         polkit-kde-1 | policykit-1-gnome,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: app-install-data
Suggests: apper-appsetup,
          debconf-kde-helper,
          software-properties-kde
Description: KDE package management tool using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a KDE package manager based on PackageKit,
 as well as package management support for the KDE desktop.

Package: apper-appsetup
Architecture: any
Depends: apper (= ${binary:Version}),
         listaller (>= 0.5.4),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extended Listaller support for Apper
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 Apper is a KDE package manager based on PackageKit.
 This package adds support for some advanced Listaller features to Apper.
 Listaller is a distro-agnostic application installer with close
 integration into PackageKit.

Package: apper-data
Architecture: all
Replaces: apper (<< 0.7.2)
Breaks: apper (<< 0.7.2)
Depends: ${misc:Depends}
Description: KDE package management tool using PackageKit (data files)
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides data files for Apper, the
 KDE package manager based on PackageKit.

Package: apper-dbg
Section: debug
Architecture: any
Priority: extra
Depends: apper (= ${binary:Version}),
         ${misc:Depends}
Recommends: kdelibs5-dbg
Description: Debugging symbols for Apper
 Apper ist a graphical package manager UI based on the PackageKit
 framework as well as a KDE implementation of the PackageKit session
 installer interface.
 .
 This package contains debugging symbols for Apper.
 When Apper crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced an Apper crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=true \
+		-DLISTALLER=ON \
 		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -18,8 +19,8 @@
 	dh_auto_configure -Skde -- $(APPER_CONFIG_FLAGS)
 
 override_dh_auto_install:
-	docbook2x-man $(CURDIR)/debian/apper.1.docbook
 	dh_auto_install --destdir=$(INSTALLDIR)
+
 	# Fix file conflict between GPK and Apper
 	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service
 	# Stupid hack to work around cmake rpath bug
@@ -29,9 +30,6 @@
 override_dh_install:
 	dh_install --list-missing
 
-override_dh_auto_clean:
-	rm -f apper.1
-
 fetch_translations:
 	mkdir -p po
 	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs

## apper 0.8.1

=== CMakeLists.txt ===
project(Apper)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(KDE4 REQUIRED)
find_package(KDE4Internal REQUIRED)
find_package(KDE4Workspace REQUIRED)
include (MacroLibrary)

# Only for Debian based systems
option(DEBCONF_SUPPORT "Build Apper with debconf support" OFF)

# Yum does not support this
option(AUTOREMOVE "Build Apper with auto remove enabled" OFF)
set(HAVE_AUTOREMOVE ${AUTOREMOVE})
message(STATUS "Building Apper with auto remove: " ${AUTOREMOVE})

# AppStream application management support
option(APPSTREAM "Build Apper with AppStream support" OFF)
set(HAVE_APPSTREAM ${APPSTREAM})
message(STATUS "Building Apper with AppStream support: " ${APPSTREAM})

# Enable support for Listaller cross-distro application installer
option(LISTALLER "Build Apper with app install" OFF)
set(HAVE_LISTALLER ${LISTALLER})
message(STATUS "Building Apper with Listaller modules: " ${LISTALLER})

if (DEBCONF_SUPPORT)
    # Tries to find the package, when it finds it HAVE_DEBCONFKDE is set in config.h
    find_package(DebconfKDE REQUIRED)
    macro_bool_to_01(DebconfKDE_FOUND HAVE_DEBCONFKDE)
    macro_log_feature(DebconfKDE_FOUND "DebconfKDE" "The KDE frontend for debconf" "http://websvn.kde.org" FALSE "" "Library used for showing debconf questions.")
    message(STATUS "Building with Debconf support")
endif (DEBCONF_SUPPORT)

set(APP_VERSION 0.8.1)

# command to edit the packages origins
set(EDIT_ORIGNS_DESKTOP_NAME "" CACHE STRING "Edit origins desktop name")
if (EDIT_ORIGNS_DESKTOP_NAME)
    message(STATUS "Edit origins desktop name: " ${EDIT_ORIGNS_DESKTOP_NAME})
endif (EDIT_ORIGNS_DESKTOP_NAME)

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include(FindPkgConfig)
set(QPACKAGEKIT_MIN_VERSION 0.8.8)
pkg_check_modules(QPACKAGEKIT2 REQUIRED packagekit-qt2>=${QPACKAGEKIT_MIN_VERSION})
macro_log_feature(QPACKAGEKIT2_FOUND "packagekit-qt2" "The Qt library to use PackageKit" "http://www.packagekit.org" TRUE ${QPACKAGEKIT_MIN_VERSION} "")
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS}
    ${KDE_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${QPACKAGEKIT2_INCLUDE_DIRS}
    ${QPACKAGEKIT2_INCLUDEDIR}/PackageKit/packagekit-qt2
    ${CMAKE_CURRENT_SOURCE_DIR}/libapper)

message(STATUS "QPK includ dir: " ${QPACKAGEKIT2_INCLUDEDIR}/PackageKit/packagekit-qt2)

add_subdirectory(libapper)
add_subdirectory(ApperKCM)
add_subdirectory(Apper)
add_subdirectory(PkSession)
add_subdirectory(apperd)
add_subdirectory(declarative-plugins)
add_subdirectory(plasmoid)
add_subdirectory(doc)
if(LISTALLER)
    add_subdirectory(AppSetup)
endif()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== AppSetup/CMakeLists.txt ===
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.36)
pkg_check_modules(LISTALLER REQUIRED listaller-glib>=0.5.7)
pkg_check_modules(GEE REQUIRED gee-1.0>=0.6)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
		    ${GLIB2_INCLUDE_DIR}
		    ${GEE_INCLUDE_DIRS}
		    ${LISTALLER_INCLUDE_DIRS}
)

set(AppSetup_SRCS main.cpp
	SetupWizard.cpp
	SimplePage.cpp
	LicensePage.cpp
)

kde4_add_ui_files(AppSetup_SRCS
	SetupWizard.ui
	SimplePage.ui
	LicensePage.ui
)

kde4_add_executable(apper-appsetup ${AppSetup_SRCS})

set_target_properties(apper-appsetup PROPERTIES INSTALL_RPATH ${LIB_INSTALL_DIR}/apper)

target_link_libraries(apper-appsetup
		      ${KDE4_KDEUI_LIBS}
		      ${GLIB2_LIBRARIES}
		      ${LISTALLER_LIBRARIES}
		      apper
)

install(TARGETS apper-appsetup RUNTIME DESTINATION ${BIN_INSTALL_DIR})
install(FILES apper_appsetup.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== Apper/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-find_package(KDE4Internal REQUIRED)
-
 set(apper_SRCS
     MainUi.cpp
     BackendDetails.cpp
@@ -25,6 +23,10 @@
 set_target_properties(apper_executable PROPERTIES INSTALL_RPATH ${LIB_INSTALL_DIR}/apper)
 
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/apper_executable DESTINATION ${BIN_INSTALL_DIR} RENAME apper)
+install(FILES apper.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES apper_installer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES apper_settings.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES apper_updates.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 add_subdirectory(Icons)
 add_subdirectory(Animations)

=== apperd/CMakeLists.txt ===
set(kded_apperd_SRCS
    DistroUpgrade.cpp
    DBusInterface.cpp
    TransactionJob.cpp
    TransactionWatcher.cpp
    RefreshCacheTask.cpp
    Updater.cpp
    RebootListener.cpp
    ApperdThread.cpp
    apperd.cpp
)

qt4_add_dbus_adaptor(kded_apperd_SRCS
    org.kde.apperd.xml
    DBusInterface.h
    DBusInterface
)

kde4_add_plugin(kded_apperd ${kded_apperd_SRCS})

target_link_libraries(kded_apperd
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${KDE4WORKSPACE_KWORKSPACE_LIBS}
    ${QPACKAGEKIT2_LIBRARIES}
    ${DEBCONF_KDE_LIB}
    apper
)

set_target_properties(kded_apperd PROPERTIES INSTALL_RPATH ${LIB_INSTALL_DIR}/apper)

install(TARGETS kded_apperd DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES apperd.notifyrc DESTINATION ${DATA_INSTALL_DIR}/apperd)
install(FILES apperd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== declarative-plugins/CMakeLists.txt ===
set(apper_qml_plugin_SRCS
   DBusUpdaterInterface.cpp
   daemonhelper.cpp
   qmlplugins.cpp
)

qt4_add_dbus_adaptor(apper_qml_plugin_SRCS
    org.kde.ApperUpdaterIcon.xml
    DBusUpdaterInterface.h
    DBusUpdaterInterface
)

kde4_add_library(apperplugin SHARED ${apper_qml_plugin_SRCS})
target_link_libraries(apperplugin
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${QPACKAGEKIT2_LIBRARIES}
    apper
)

set_target_properties(apperplugin PROPERTIES INSTALL_RPATH ${LIB_INSTALL_DIR}/apper)

install(TARGETS apperplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/apper)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/apper)

=== doc/CMakeLists.txt ===

kde4_create_manpage(man-apper.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
if(LISTALLER)
    kde4_create_manpage(man-apper-appsetup.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
endif()

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(hu)
add_subdirectory(fi)
add_subdirectory(ro)
add_subdirectory(ja)
add_subdirectory(it)
add_subdirectory(zh_CN)
add_subdirectory(sv)
add_subdirectory(zh_TW)
add_subdirectory(nl)
add_subdirectory(nb)
add_subdirectory(lt)
add_subdirectory(gl)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(ug)
add_subdirectory(ca@valencia)
add_subdirectory(tr)
add_subdirectory(hr)
add_subdirectory(cs)
add_subdirectory(pt)
add_subdirectory(wa)
add_subdirectory(da)
add_subdirectory(ca)
add_subdirectory(sl)
add_subdirectory(fr)
add_subdirectory(mr)
add_subdirectory(nds)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(pa)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(sk)
add_subdirectory(nn)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(bg)
add_subdirectory(el)
add_subdirectory(ru)
add_subdirectory(ga)
add_subdirectory(ast)

=== po/ro/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ro ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/wa/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(wa ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
apper (0.8.1-1) unstable; urgency=low

  * New upstream release: 0.8.1
  * Depend on software-properties-kde instead of suggesting it (Closes: #696583)
  * Add patch to make AppStream loading more failsafe

 -- Matthias Klumpp <mak@debian.org>  Tue, 30 Jul 2013 12:34:46 +0200

apper (0.8.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #696585, #697996, #708090)
  * Add patch to compile against new QPK API

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Jun 2013 14:32:36 +0200

apper (0.8.0-1) experimental; urgency=low

  * New upstream release: 0.8.0
  * Merge apper-appsetup package with main package
  * Update package description
  * Change mail to my Debian address
  * Update dependency on PackageKit

 -- Matthias Klumpp <mak@debian.org>  Sun, 14 Apr 2013 14:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: apper
 Section: kde
 Priority: optional
-Maintainer: Matthias Klumpp <matthias@tenstral.net>
-DM-Upload-Allowed: yes
+Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: chrpath,
                cmake (>= 2.8.4),
                debhelper (>= 9.0.0),
-               docbook2x,
+               docbook (>= 4.5),
                kde-workspace-dev (>= 4:4.8),
                kdelibs5-dev (>= 4:4.8),
+               libappstream-dev (>= 0.3.1),
                libdbus-1-dev,
                libdebconf-kde-dev,
-               liblistaller-glib-dev (>= 0.5.4),
-               libpackagekit-qt2-dev (>= 0.7.4),
+               liblistaller-glib-dev (>= 0.5.6),
+               libpackagekit-qt2-dev (>= 0.8.8),
+               libxapian-dev (>= 1.2),
                pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://kde-apps.org/content/show.php/Apper?content=84745
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/apper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/apper.git
@@ -22,14 +23,16 @@
 Package: apper
 Architecture: any
 Depends: apper-data (>= ${source:Version}),
-         packagekit (>= 0.7.4),
+         listaller (>= 0.5.4),
+         packagekit (>= 0.8.6),
          polkit-kde-1 | policykit-1-gnome,
+         software-properties-kde,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: app-install-data
-Suggests: apper-appsetup,
-          debconf-kde-helper,
-          software-properties-kde
+Replaces: apper-appsetup (<< 0.7.2)
+Breaks: apper-appsetup (<< 0.7.2)
+Recommends: appstream-index
+Suggests: debconf-kde-helper
 Description: KDE package management tool using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface  e.g. refreshing the cache, updating, installing and removing
@@ -37,22 +40,9 @@
  .
  This package provides a KDE package manager based on PackageKit,
  as well as package management support for the KDE desktop.
-
-Package: apper-appsetup
-Architecture: any
-Depends: apper (= ${binary:Version}),
-         listaller (>= 0.5.4),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Extended Listaller support for Apper
- PackageKit allows performing simple software management tasks over a DBus
- interface  e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- Apper is a KDE package manager based on PackageKit.
- This package adds support for some advanced Listaller features to Apper.
- Listaller is a distro-agnostic application installer with close
- integration into PackageKit.
+ It implements the PackageKit session API for KDE, which allows
+ applications to easily install additional software (e.g. extensions),
+ uninstall files and perform simple software status queries.
 
 Package: apper-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=true \
+		-DAPPSTREAM=ON \
 		-DLISTALLER=ON \
 		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/apper/([\d\.]+)/src/apper-([\d\.]+)\.tar\.bz2 \
  debian git-import-orig

## apper 0.8.2

=== debian/changelog ===
apper (0.8.2-3) unstable; urgency=medium

  * Add patch to compile against AppStream 0.7

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Jul 2014 14:12:08 +0200

apper (0.8.2-2) unstable; urgency=high

  * No-change upload to trigger a rebuild (Closes: #746702)
    - Previous builds partially failed due to #743087

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2014 14:40:56 +0200

apper (0.8.2-1) unstable; urgency=low

  * New upstream bugfix release: 0.8.2
  * Update debian/watch file
  * Drop all patches: Applied upstream
  * Build with autoremove enabled
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 20 Apr 2014 14:42:30 +0200

apper (0.8.1-2) unstable; urgency=low

  * appstream-0.6.patch: Add support for AppStream 0.6

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Apr 2014 21:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
                docbook (>= 4.5),
                kde-workspace-dev (>= 4:4.8),
                kdelibs5-dev (>= 4:4.8),
-               libappstream-dev (>= 0.3.1),
+               libappstream-dev (>= 0.7),
                libdbus-1-dev,
                libdebconf-kde-dev,
                liblistaller-glib-dev (>= 0.5.6),
                libpackagekit-qt2-dev (>= 0.8.8),
-               libxapian-dev (>= 1.2),
                pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://kde-apps.org/content/show.php/Apper?content=84745
 Vcs-Git: git://anonscm.debian.org/pkg-packagekit/apper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/apper.git

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=true \
+APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=ON \
 		-DAPPSTREAM=ON \
 		-DLISTALLER=ON \
+		-DAUTOREMOVE=ON \
 		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
 
 INSTALLDIR = $(CURDIR)/debian/tmp
